## org.w3c.jigadmin.attributes
Class SlideIntegerAttributeEditor

    java.lang.Object
      |
      +--org.w3c.jigadm.editors.AttributeEditor
            |
            +--org.w3c.jigadmin.attributes.SlideIntegerAttributeEditor

public class SlideIntegerAttributeEditor
extends AttributeEditor

SlideIntegerAttributeEditor :

Field Summary
`static java.lang.String` | `BORDER_P` The slider border property
`static java.lang.String` | `MAX_P` The slider's max bound property.
`static java.lang.String` | `MIN_P` The slider's min bound property.
`static java.lang.String` | `STEP_P` The slider's step property.

Fields inherited from class org.w3c.jigadm.editors.AttributeEditor
`als`

Constructor Summary
`SlideIntegerAttributeEditor()`

Method Summary
`void` | `clearChanged()` set the current value to be the original value, ie: changed must return false after a reset.
`java.awt.Component` | `getComponent()` get the Component created by the editor.
`EditableSlider` | `getSlider(int min, int max, int step, int value)`
`java.lang.Object` | `getValue()` Get the current value of the edited value
`boolean` | `hasChanged()` Tells if the edited value has changed
`void` | `initialize(RemoteResourceWrapper w, Attribute a, java.lang.Object o, java.util.Properties p)` Initialize the editor
`void` | `resetChanges()` reset the changes (if any)
`void` | `setValue(java.lang.Object o)` Set the value of the edited value

Methods inherited from class org.w3c.jigadm.editors.AttributeEditor
`addAttributeListener, processEvent, removeAttributeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_P

    public static final java.lang.String MAX_P

  The slider's max bound property.

### MIN_P

    public static final java.lang.String MIN_P

  The slider's min bound property.

### STEP_P

    public static final java.lang.String STEP_P

  The slider's step property.

### BORDER_P

    public static final java.lang.String BORDER_P

  The slider border property

Constructor Detail

### SlideIntegerAttributeEditor

    public SlideIntegerAttributeEditor()

Method Detail

### hasChanged

    public boolean hasChanged()

  Tells if the edited value has changed
  Returns:
    true if the value changed.

### clearChanged

    public void clearChanged()

  set the current value to be the original value, ie: changed must return false after a reset.

### resetChanges

    public void resetChanges()

  reset the changes (if any)

### getValue

    public java.lang.Object getValue()

  Get the current value of the edited value
  Returns:
    an object or null if the object was not initialized

### setValue

    public void setValue(java.lang.Object o)

  Set the value of the edited value
  Parameters:
    `o` - the new value.

### getComponent

    public java.awt.Component getComponent()

  get the Component created by the editor.
  Returns:
    a Component
  Overrides:
    getComponent in class AttributeEditor

### getSlider

    public EditableSlider getSlider(int min,
                                    int max,
                                    int step,
                                    int value)

### initialize

    public void initialize(RemoteResourceWrapper w,
                           Attribute a,
                           java.lang.Object o,
                           java.util.Properties p)
                    throws RemoteAccessException

  Initialize the editor
  Parameters:
    `w` - the ResourceWrapper father of the attribute
    `a` - the Attribute we are editing
    `o` - the value of the above attribute
    `p` - some Properties, used to fine-tune the editor
  Throws:
    RemoteAccessException - if a remote access error occurs.